use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IElement;

#[derive(Debug, Serialize)]
#[serde(untagged)]
pub(crate) enum RenderElement {}

impl RenderElement {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        element: &IElement,
    ) -> Result<RenderElement, CustomError> {
        todo!()
    }
}
